Attributes
JSON key/value pairs in the request body
POST | https://api.zonos.com/v1/shipment_rating
HEADER zonos-version: 2020-03-04
The header above is a required input for this rating request to complete successfully.
| Field↕ | Notes↕ |
|---|---|
currency REQUIRED | The base currency string, represented by a three-letter ISO code. |
items_amount REQUIRED | A decimal with an item amount. |
packages REQUIRED | A list of the number and dimensions for the packages being shipped. hash |
packages.id REQUIRED | The unique package identifier for the merchant or exporter. |
packages.dimensions REQUIRED | The dimensions for the package. hash |
packages.dimensions.height REQUIRED | A decimal for the height of the shipping box. |
packages.dimensions.length REQUIRED | A decimal for the length of the shipping box. |
packages.dimensions.unit REQUIRED | The unit of measurement for the shipping box dimensions. Possible values are inch centimeter millimeter null.When null, inch will be used. |
packages.dimensions.width REQUIRED | A decimal containing the width of the shipping box. |
packages.insured_amount OPTIONAL | A decimal with the insurance amount. |
packages.type OPTIONAL | A string to specify a specific carrier box type to be used for the shipping calculation. Possible values include FEDEX_BOX |
packages.weight REQUIRED | A decimal containing the weight of the package. |
packages.weight_unit REQUIRED | A string with the unit of measurement for the weight.Possible values are pound ounce kilogram null.When null, pound will be used. |
pickup_date REQUIRED | The requested pickup date for the package, in the ISO 8601 format YYYY-MM-DDTHH:mm:ss.sss+0000. UTC is assumed when no time zone information is passed. |
service_level OPTIONAL | The service_level with the carrier, e.g., standard. hash Common examples include: ups_express, ups_express_saver, ups_expedited, ups_economy, ups_standard, ups_mail_innovations_economy, ups_mail_innovations_priority, dhl_express, dhl_ecommerce_parcel_direct, fedex_priority, fedex_economy, usps_first_class_mail_international, usps_priority_mail_international, landmark_parcel, apc_parcel, point2point_standard, point2point_direct, point2point_packet, and fedex_international_groundSee the carrier docs for the full list of available service levels by carrier. |
ship_from REQUIRED | The origin address. hash |
ship_from.city | A string for the address city, town, district, suburb, or village of the origin address. |
ship_from.country REQUIRED | The origin country string, represented by a two-letter ISO code. |
ship_from.postal_code REQUIRED | A string for the origin address postal code. |
ship_from.state_code REQUIRED | A string for the origin address when available. Only required in Canada and Brazil. |
ship_to REQUIRED | The destination address. hash |
ship_to.city REQUIRED | A string for the address city, town, district, suburb, or village of the customer. |
ship_to.country REQUIRED | A string for the destination country, represented by a two-letter ISO code. |
ship_to.postal_code REQUIRED | A string for the destination postal code. Optional depending on the country of import. |
ship_to.state_code REQUIRED | A string for the destination state code when available. Only required in Canada and Brazil. |
ship_to.type | The type of the destination address. Possible values are residential and commercial. Defaults to residential when omitted, so the quote includes any residential surcharge the carrier will bill. Send commercial for business deliveries. |
1
{2
"currency": "USD",3
"items_amount": 168.99,4
"packages": [5
{6
"id": "1",7
"dimensions": {8
"height": 19,9
"length": 15,10
"unit": "inch",11
"width": 1512
},13
"insured_amount": 33.22,14
"type": null,15
"weight": 32,16
"weight_unit": "pound"17
}18
],19
"pickup_date": "2020-07-06T18:47:04.629+0000",20
"service_level": null,21
"ship_from": {22
"city": "St George",23
"country": "US",24
"postal_code": "84770",25
"state_code": "UT"26
},27
"ship_to": {28
"city": "Campinas",29
"country": "BR",30
"postal_code": "75828-000",31
"state_code": "SP",32
"type": "residential"33
}34
}
Request a shipment rating
Explore the key/value pairs in a shipment rating request.Request international shipping rates for various shipping providers that are configured in your store’s settings within Zonos.